package cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting;

import java.math.BigDecimal;
import java.util.Date;

public class QchjcOrderEntity {
    private Long id;

    private Long unifiedId;

    private String accountingOrderSn;

    private String customerAccountingOrderSn;

    private String supplierAccountingOrderSn;

    private String orderSn;

    private String orderSnOutTrade;

    private String outSnapshotOrderId;

    private String serviceName;

    private String serviceNo;

    private Long projectId;

    private String projectName;

    private String purchaseVirtId;

    private String purchaseVirtName;

    private String purchaseDepartmentName;

    private String purchaseUserId;

    private String purchaseUserName;

    private String purchasePhone;

    private String saleId;

    private String saleName;

    private BigDecimal amount;

    private BigDecimal costAmount;

    private BigDecimal transportAmount;

    private BigDecimal transportMerchantAssumeAmount;

    private BigDecimal goodsAmount;

    private BigDecimal goodsCostAmount;

    private BigDecimal refundGoodsAmount;

    private BigDecimal refundGoodsCostAmount;

    private Integer completState;

    private Integer orderLockingCustomer;

    private Integer orderLockingSupplier;

    private Integer payType;

    private String payTypeName;

    private Integer payState;

    private String payStateName;

    private Integer orderState;

    private String orderStateName;

    private Integer settlementType;

    private Integer appraiseState;

    private Integer sourceChannel;

    private String otherParams;

    private String userType;

    private String userName;

    private Date createTime;

    private String createUserId;

    private Date updateTime;

    private String updateUserId;

    private Integer orderType;

    private String refundOrderSn;

    private String recUserName;

    private String recUserId;

    private String recUserPhone;

    private String recAddress;

    private String expressSn;

    private String express;

    private String expressCompany;

    private String remarks;

    private Integer accountingStateSupplier;

    private Integer accountingStateCustomer;

    private Integer invoiceStatus;

    private String invoiceApplySn;

    private String invoiceNumber;

    private String operAccount;

    private String operName;

    private Date payTime;

    private Date sendTime;

    private Date finishTime;

    private Date accountingTime;

    private Integer backAccountStatus;

    private Date syncTime;

    private Integer storageStatus;

    private Date storageTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnifiedId() {
        return unifiedId;
    }

    public void setUnifiedId(Long unifiedId) {
        this.unifiedId = unifiedId;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }

    public String getCustomerAccountingOrderSn() {
        return customerAccountingOrderSn;
    }

    public void setCustomerAccountingOrderSn(String customerAccountingOrderSn) {
        this.customerAccountingOrderSn = customerAccountingOrderSn;
    }

    public String getSupplierAccountingOrderSn() {
        return supplierAccountingOrderSn;
    }

    public void setSupplierAccountingOrderSn(String supplierAccountingOrderSn) {
        this.supplierAccountingOrderSn = supplierAccountingOrderSn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getOrderSnOutTrade() {
        return orderSnOutTrade;
    }

    public void setOrderSnOutTrade(String orderSnOutTrade) {
        this.orderSnOutTrade = orderSnOutTrade;
    }

    public String getOutSnapshotOrderId() {
        return outSnapshotOrderId;
    }

    public void setOutSnapshotOrderId(String outSnapshotOrderId) {
        this.outSnapshotOrderId = outSnapshotOrderId;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getServiceNo() {
        return serviceNo;
    }

    public void setServiceNo(String serviceNo) {
        this.serviceNo = serviceNo;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getPurchaseVirtId() {
        return purchaseVirtId;
    }

    public void setPurchaseVirtId(String purchaseVirtId) {
        this.purchaseVirtId = purchaseVirtId;
    }

    public String getPurchaseVirtName() {
        return purchaseVirtName;
    }

    public void setPurchaseVirtName(String purchaseVirtName) {
        this.purchaseVirtName = purchaseVirtName;
    }

    public String getPurchaseDepartmentName() {
        return purchaseDepartmentName;
    }

    public void setPurchaseDepartmentName(String purchaseDepartmentName) {
        this.purchaseDepartmentName = purchaseDepartmentName;
    }

    public String getPurchaseUserId() {
        return purchaseUserId;
    }

    public void setPurchaseUserId(String purchaseUserId) {
        this.purchaseUserId = purchaseUserId;
    }

    public String getPurchaseUserName() {
        return purchaseUserName;
    }

    public void setPurchaseUserName(String purchaseUserName) {
        this.purchaseUserName = purchaseUserName;
    }

    public String getPurchasePhone() {
        return purchasePhone;
    }

    public void setPurchasePhone(String purchasePhone) {
        this.purchasePhone = purchasePhone;
    }

    public String getSaleId() {
        return saleId;
    }

    public void setSaleId(String saleId) {
        this.saleId = saleId;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getCostAmount() {
        return costAmount;
    }

    public void setCostAmount(BigDecimal costAmount) {
        this.costAmount = costAmount;
    }

    public BigDecimal getTransportAmount() {
        return transportAmount;
    }

    public void setTransportAmount(BigDecimal transportAmount) {
        this.transportAmount = transportAmount;
    }

    public BigDecimal getTransportMerchantAssumeAmount() {
        return transportMerchantAssumeAmount;
    }

    public void setTransportMerchantAssumeAmount(BigDecimal transportMerchantAssumeAmount) {
        this.transportMerchantAssumeAmount = transportMerchantAssumeAmount;
    }

    public BigDecimal getGoodsAmount() {
        return goodsAmount;
    }

    public void setGoodsAmount(BigDecimal goodsAmount) {
        this.goodsAmount = goodsAmount;
    }

    public BigDecimal getGoodsCostAmount() {
        return goodsCostAmount;
    }

    public void setGoodsCostAmount(BigDecimal goodsCostAmount) {
        this.goodsCostAmount = goodsCostAmount;
    }

    public BigDecimal getRefundGoodsAmount() {
        return refundGoodsAmount;
    }

    public void setRefundGoodsAmount(BigDecimal refundGoodsAmount) {
        this.refundGoodsAmount = refundGoodsAmount;
    }

    public BigDecimal getRefundGoodsCostAmount() {
        return refundGoodsCostAmount;
    }

    public void setRefundGoodsCostAmount(BigDecimal refundGoodsCostAmount) {
        this.refundGoodsCostAmount = refundGoodsCostAmount;
    }

    public Integer getCompletState() {
        return completState;
    }

    public void setCompletState(Integer completState) {
        this.completState = completState;
    }

    public Integer getOrderLockingCustomer() {
        return orderLockingCustomer;
    }

    public void setOrderLockingCustomer(Integer orderLockingCustomer) {
        this.orderLockingCustomer = orderLockingCustomer;
    }

    public Integer getOrderLockingSupplier() {
        return orderLockingSupplier;
    }

    public void setOrderLockingSupplier(Integer orderLockingSupplier) {
        this.orderLockingSupplier = orderLockingSupplier;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getPayTypeName() {
        return payTypeName;
    }

    public void setPayTypeName(String payTypeName) {
        this.payTypeName = payTypeName;
    }

    public Integer getPayState() {
        return payState;
    }

    public void setPayState(Integer payState) {
        this.payState = payState;
    }

    public String getPayStateName() {
        return payStateName;
    }

    public void setPayStateName(String payStateName) {
        this.payStateName = payStateName;
    }

    public Integer getOrderState() {
        return orderState;
    }

    public void setOrderState(Integer orderState) {
        this.orderState = orderState;
    }

    public String getOrderStateName() {
        return orderStateName;
    }

    public void setOrderStateName(String orderStateName) {
        this.orderStateName = orderStateName;
    }

    public Integer getSettlementType() {
        return settlementType;
    }

    public void setSettlementType(Integer settlementType) {
        this.settlementType = settlementType;
    }

    public Integer getAppraiseState() {
        return appraiseState;
    }

    public void setAppraiseState(Integer appraiseState) {
        this.appraiseState = appraiseState;
    }

    public Integer getSourceChannel() {
        return sourceChannel;
    }

    public void setSourceChannel(Integer sourceChannel) {
        this.sourceChannel = sourceChannel;
    }

    public String getOtherParams() {
        return otherParams;
    }

    public void setOtherParams(String otherParams) {
        this.otherParams = otherParams;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getRefundOrderSn() {
        return refundOrderSn;
    }

    public void setRefundOrderSn(String refundOrderSn) {
        this.refundOrderSn = refundOrderSn;
    }

    public String getRecUserName() {
        return recUserName;
    }

    public void setRecUserName(String recUserName) {
        this.recUserName = recUserName;
    }

    public String getRecUserId() {
        return recUserId;
    }

    public void setRecUserId(String recUserId) {
        this.recUserId = recUserId;
    }

    public String getRecUserPhone() {
        return recUserPhone;
    }

    public void setRecUserPhone(String recUserPhone) {
        this.recUserPhone = recUserPhone;
    }

    public String getRecAddress() {
        return recAddress;
    }

    public void setRecAddress(String recAddress) {
        this.recAddress = recAddress;
    }

    public String getExpressSn() {
        return expressSn;
    }

    public void setExpressSn(String expressSn) {
        this.expressSn = expressSn;
    }

    public String getExpress() {
        return express;
    }

    public void setExpress(String express) {
        this.express = express;
    }

    public String getExpressCompany() {
        return expressCompany;
    }

    public void setExpressCompany(String expressCompany) {
        this.expressCompany = expressCompany;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getAccountingStateSupplier() {
        return accountingStateSupplier;
    }

    public void setAccountingStateSupplier(Integer accountingStateSupplier) {
        this.accountingStateSupplier = accountingStateSupplier;
    }

    public Integer getAccountingStateCustomer() {
        return accountingStateCustomer;
    }

    public void setAccountingStateCustomer(Integer accountingStateCustomer) {
        this.accountingStateCustomer = accountingStateCustomer;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getInvoiceApplySn() {
        return invoiceApplySn;
    }

    public void setInvoiceApplySn(String invoiceApplySn) {
        this.invoiceApplySn = invoiceApplySn;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public String getOperAccount() {
        return operAccount;
    }

    public void setOperAccount(String operAccount) {
        this.operAccount = operAccount;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getAccountingTime() {
        return accountingTime;
    }

    public void setAccountingTime(Date accountingTime) {
        this.accountingTime = accountingTime;
    }

    public Integer getBackAccountStatus() {
        return backAccountStatus;
    }

    public void setBackAccountStatus(Integer backAccountStatus) {
        this.backAccountStatus = backAccountStatus;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public Integer getStorageStatus() {
        return storageStatus;
    }

    public void setStorageStatus(Integer storageStatus) {
        this.storageStatus = storageStatus;
    }

    public Date getStorageTime() {
        return storageTime;
    }

    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }
}